Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 769278 - media-gfx/openscad-2021.01: version bump
Summary: media-gfx/openscad-2021.01: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Bernd
URL: https://github.com/openscad/openscad/...
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: CVE-2020-28599
  Show dependency tree
 
Reported: 2021-02-07 12:36 UTC by Bernd
Modified: 2021-03-07 09:03 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd 2021-02-07 12:36:49 UTC
new version has been released last night, with support for lib3mf v2.0 API.

Reproducible: Always
Comment 1 Larry the Git Cow gentoo-dev 2021-03-07 09:03:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=764dd0f081d723d9593097055614cff5fb2b265a

commit 764dd0f081d723d9593097055614cff5fb2b265a
Author:     Bernd Waibel <waebbl-gentoo@posteo.net>
AuthorDate: 2021-03-06 22:59:37 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-03-07 09:03:07 +0000

    media-gfx/openscad: bump to 2021.01
    
    Bug: https://bugs.gentoo.org/773217
    Closes: https://bugs.gentoo.org/769278
    Package-Manager: Portage-3.0.16, Repoman-3.0.2
    Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
    Closes: https://github.com/gentoo/gentoo/pull/19412
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 media-gfx/openscad/Manifest                        |   1 +
 ...1-Gentoo-specific-Disable-ccache-building.patch |  32 ++++++
 ...penscad-2021.01-0002-fix-to-find-lib3mf-2.patch |  43 ++++++++
 media-gfx/openscad/openscad-2021.01.ebuild         | 110 +++++++++++++++++++++
 4 files changed, 186 insertions(+)